# Register Data Table

`POST /lokta-lms/api/v1/datatables/register/{datatable}/{apptable}`

Registers a data table with the application table. This allows the data table to be maintained through the API. In case the datatable is a PPI (survey table), a parameter category should be pass along with the request. The API currently support one category (200)

## Parameters
- `datatable` (path, string, required): datatable
- `apptable` (path, string, required): apptable

## Responses
- `200`: OK

## Response fields
- `resourceIdentifier` (string)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/datatables/register/{datatable}/{apptable}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "resourceIdentifier": "extra_client_details"
}
```

Interactive: https://developer.lokta.ai/reference#operation/registerDatatable
